# Yahoo! UI Library

### align-plugin 3.3.0

Yahoo! UI Library > align-plugin > Plugin.Align
Search:
Filters Show Private Show Protected Show Deprecated

## Class Plugin.Align

Node plugin which can be used to align a node with another node, region, or the viewport.

### Methods

#### center

`void center ( )`
Aligns the center of a node to the center of another node or region.

#### destroy

`void destroy ( )`
Removes the resize handler, if any. This is called automatically when unplugged from the host node.

#### to

`void to ( )`
Aligns node with a point on another node or region. Possible alignment points are:

tl
  top left
tr
  top right
bl
  bottom left
br
  bottom right
tc
  top center
bc
  bottom center
rc
  right center
lc
  left center
cc
  center center

Copyright © 2011 Yahoo! Inc. All rights reserved.